Subject: FVWM: lastX-improvements

From: [email-masked]
Date: Thu, 04 Jan 2001 05:48:18 -0500

Thank you, Mikhael.
Great advice to use sync. PipeRead in exchange of async. Exec !.

The same can be applied in the menu instruction
for visualizing the last closed window:

> + "last X closed" Exec exec xwud -in $HOME/.lastx.xwd

it doesn't show up immediatly,
which can create confusion in the user.
To avoid it:

+ "last X closed" Exec piperead `xwud -in $HOME/.lastx.xwd >/dev/null`

Have another millenium.
Juanjo.
[email-masked]

-Previous mail:

On 30 Dec 2000 08:35:16 -0500, [email-masked] wrote:
>
> AddToFunc Close-and-Dump "I" Raise
> + "I" Exec xwd -silent -id $w -out $HOME/.lastx.xwd
> + "C" Close
>
> ClickTime 300

It will work with any ClickTime and not only on "C" if you use synchronous
PipeRead instead of asynchronous Exec:

+ I PipeRead `xwd -silent -id $w -out $HOME/.lastx.xwd >/dev/null`

Regards,
Mikhael.
[email-masked]

__________________________________________________________________
Get your own FREE, personal Netscape Webmail account today at 
http://webmail.netscape.com/
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].